<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.Ibn.WebAsp.Modules.ManageStatuses" Codebehind="ManageStatuses.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\Modules\BlockHeader.ascx" %>
<%@ Register TagPrefix="cc1" Namespace="Mediachase.FileUploader.Web.UI" Assembly="Mediachase.FileUploader" %>
<table class="ibn-stylebox" cellSpacing="0" cellPadding="0" width="100%" border="0">
	<tr>
		<td><ibn:blockheader id="secHeader" title="" runat="server"></ibn:blockheader></td>
	</tr>
	<tr>
		<td>
			<asp:DataGrid Runat="server" ID="dgStatuses" AllowPaging="False" AllowSorting="True" AutoGenerateColumns="False" BorderWidth="0" DataKeyField="StatusId" Width="100%" GridLines="None" ShowHeader="True" ShowFooter="False">
				<Columns>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2" Width="24px" ></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2" Width="24px"></ItemStyle>
						<ItemTemplate>
							<asp:Image Runat="server" ID="Image1" ImageAlign="AbsMiddle" Width='<%#(int)DataBinder.Eval(Container.DataItem,"StatusId")>0?Unit.Pixel(16):Unit.Pixel(1)%>' Height='<%#(int)DataBinder.Eval(Container.DataItem,"StatusId")>0?Unit.Pixel(16):Unit.Pixel(1)%>' ImageUrl='<%# GetLink((int)DataBinder.Eval(Container.DataItem,"StatusId"))%>'></asp:Image>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Status" SortExpression="Weight, StatusName">
						<HeaderStyle CssClass="ibn-vh2" Width="200px"></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2" Width="200px"></ItemStyle>
						<ItemTemplate>
							<%#DataBinder.Eval(Container.DataItem,"StatusName")%>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:TextBox Runat="server" ID="tbStatusName" CssClass="text"></asp:TextBox>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2" ></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2" ></ItemStyle>
						<ItemTemplate>
							&nbsp;
						</ItemTemplate>
						<EditItemTemplate>
							<asp:CheckBox Runat="server" ID="cbUploadIcon" Text="Upload New Icon" CssClass="text"></asp:CheckBox>
							&nbsp;
							<cc1:McHtmlInputFile id="fuIcon" runat="server" CssClass="text" Width="300px"></cc1:McHtmlInputFile>
						</EditItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn>
						<HeaderStyle CssClass="ibn-vh2" HorizontalAlign="Right" ></HeaderStyle>
						<ItemStyle CssClass="ibn-vb2" HorizontalAlign="Right" ></ItemStyle>
						<ItemTemplate>
							<asp:ImageButton Runat="server" ID="ibEdit" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"StatusId")%>' ImageUrl="../layouts/images/EDIT.GIF"></asp:ImageButton>
							<asp:ImageButton Runat="server" ID="ibDelete" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"StatusId")%>' ImageUrl="../layouts/images/Delete.GIF"></asp:ImageButton>
						</ItemTemplate>
						<EditItemTemplate>
							<asp:ImageButton Runat="server" ID="ibSave" CommandName="Save" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"StatusId")%>' ImageUrl="../layouts/images/Saveitem.GIF"></asp:ImageButton>
							<asp:ImageButton Runat="server" ID="ibCancel" CommandName="Cancel" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"StatusId")%>' ImageUrl="../layouts/images/cancel.GIF"></asp:ImageButton>
						</EditItemTemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:DataGrid>
		</td>
	</tr>
	<!--
	<tr style="padding-top:10px">
		<td class="text">
			
			Name:
			&nbsp;
			<asp:TextBox Runat="server" ID="tbNewStatusName" Width="200px">
			</asp:TextBox>
			&nbsp;
			Icon:<cc1:McHtmlInputFile id="fIcon" runat="server" CssClass="text" Width="300px" ></cc1:McHtmlInputFile>
			&nbsp;
			<asp:Button Runat="server" ID="btnAddNewStatus" Text="Add New" Width="90px" CssClass="text"></asp:Button>
		</td>
	</tr>
	-->
</table>	
<asp:LinkButton CommandName="Add" Runat="server" ID="lbHidden" Visible="false"></asp:LinkButton>

