<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Page language="c#" Inherits="Mediachase.UI.Web.Incidents.ResponsiblePool" Codebehind="ResponsiblePool.aspx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\Modules\BlockHeader.ascx" %>
<%@ register TagPrefix="lst" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD id="pT_headTag">
		<title>
			<%=LocRM.GetString("tPoolTitle") %>
		</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<script src="../Scripts/browser.js"></script>
		<script src="../Scripts/buttons.js"></script>		
		<LINK href="../layouts/styles/windows.css" type="text/css" rel="stylesheet">
		<link href="../Themes/XP/theme.css" rel="stylesheet">
		<link href="../Themes/XP/color1.css" rel="stylesheet">
		<script><!--
		if ((browseris.mac) && !browseris.ie5up)
		{
			var macstyle = "../layouts/styles/mac.css";
			document.write("<link rel='stylesheet' Type='text/css' href='" + macstyle + "'>");
		}
	
		//--></script>
		<script language="JavaScript"> 
			function disableEnterKey() 
			{ 
				try {
					if (window.event.keyCode == 13 && window.event.srcElement.type != "textarea")
						window.event.keyCode = 0;
				}
				catch (e) {}
			} 
		</script>
	</HEAD>
	<body class="UserBackground" id="pT_body" leftMargin="0" topMargin="0" marginwidth="0" marginheight="0">
		<form id="frmMain" runat="server">
			<ibn:blockheader id="secHeader" title="ToolBar" runat="server"></ibn:blockheader>
			<table class="text" style="HEIGHT: 100%" height="100%" cellSpacing="0" cellPadding="3" width="100%" border="0">
				<tr height="22">
					<td class="boldtext" width="305" height="22"><%=LocRM.GetString("Available") %>:</td>
					<td width="4">&nbsp;</td>
					<td class="ibn-navframe boldtext"><%=LocRM.GetString("Selected") %>:</td>
				</tr>
				<tr style="HEIGHT: 100%">
					<td vAlign="top" width="305">
						<!-- Groups & Users -->
						<table class="text" style="MARGIN-TOP: 5px;table-layout:fixed" cellSpacing="0" cellPadding="3" width="100%">
							<tr>
								<td width="100px"><%=LocRM.GetString("Group") %>:</td>
								<td width="200px"><lst:indenteddropdownlist id="ddGroups" runat="server" CssClass="text" Width="190px" AutoPostBack="True" DataTextField="GroupName" DataValueField="GroupId" onselectedindexchanged="ddGroups_ChangeGroup"></lst:indenteddropdownlist></td></tr>
							<TR>
								<TD><%=LocRM.GetString("Search") %>:</TD>
								<TD>
									<asp:TextBox id="tbSearch" runat="server" CssClass="text" Width="125px"></asp:TextBox>
									<asp:button id="btnSearch" runat="server" Width="60px" CssClass="text" CausesValidation="False" onclick="btnSearch_Click"></asp:button>
									<asp:Label ID="lblError" CssClass="ibn-error" Runat=server></asp:Label>
								</TD>
							</TR>
							<tr>
								<td vAlign="top" height="96"><%=LocRM.GetString("tUser") %>:</td>
								<td vAlign="top"><asp:listbox id="lbUsers" runat="server" CssClass="text" Width="190px" SelectionMode="Multiple" Rows="6"></asp:listbox></td>
							</tr>
							<tr>
								<td vAlign="top">&nbsp;</td>
								<td>
									<Button id="btnSave" runat="server" style="DISPLAY:none" onserverclick="btnSave_Click"></Button>
									<button id="btnAdd" onclick="DisableButtons(this);" runat="server" Class="text" style="width:160px;" onserverclick="btnAdd_Click"></button>
							</tr>
						</table>
						<!-- End Groups & Users -->
					</td>
					<td width="4">&nbsp;</td>
					<td vAlign="top" class="ibn-navframe" height="100%">
						<!-- Data GRID -->
						<div style="OVERFLOW-Y:auto;HEIGHT:220px">
							<asp:DataGrid Runat="server" ID="dgMembers" AutoGenerateColumns="False" AllowPaging="False" AllowSorting="False" cellpadding="1" gridlines="None" CellSpacing="1" borderwidth="0px" >
								<ItemStyle CssClass="ibn-propertysheet"></ItemStyle>
								<HeaderStyle CssClass="text"></HeaderStyle>
								<Columns>
									<asp:BoundColumn DataField="UserId" Visible="False"></asp:BoundColumn>
									<asp:TemplateColumn ItemStyle-Width="170" HeaderStyle-Width="170">
										<ItemTemplate>
											<%# GetLink((int)DataBinder.Eval(Container.DataItem, "UserId"))%>
										</ItemTemplate>
									</asp:TemplateColumn>
									<asp:TemplateColumn HeaderStyle-HorizontalAlign="Center" ItemStyle-HorizontalAlign="Center"  ItemStyle-Width="70" HeaderStyle-Width="70">
										<ItemTemplate>
											<%# GetStatus(DataBinder.Eval(Container.DataItem, "Status"))%>
										</ItemTemplate>
									</asp:TemplateColumn>
									<asp:templatecolumn itemstyle-width="26" HeaderStyle-Width="26" Visible="True" ItemStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Right">
										<itemtemplate>
											<asp:imagebutton id="ibDelete" runat="server" borderwidth="0" width="16" height="16" imageurl="../layouts/images/DELETE.GIF" commandname="Delete" causesvalidation="False"></asp:imagebutton>
										</itemtemplate>
									</asp:templatecolumn>
								</Columns>
							</asp:DataGrid>
							<!-- End Data GRID --></div>
					</td>
				</tr>
			</table>
			<script language=javascript>
				function FuncSave()
				{
					DisableButtons(document.forms[0].<%=btnSave.ClientID%>);
					<%=Page.GetPostBackClientEvent(btnSave,"") %>;
				}
			</script>
		</form>
	</body>
</HTML>