<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Workspace.Modules.Customizer2" Codebehind="Customizer2.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx" %>
<%@ register TagPrefix="btn" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<script language="javascript" src="../Scripts/List2List.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript">
	var __disabled;
	function ChangeEnabled()
	{
		var aInputs = document.getElementsByTagName("input");
		var sValue = "0";
		for (var i=0; i<aInputs.length; i++)
		{
			oInput = aInputs[i];
			if(oInput.type == "radio" && oInput.name.indexOf("rbList") >= 0 && oInput.checked)
			{
				sValue = oInput.value;
				break;
			}
		}
		
		__disabled = (sValue=="0");
		
		document.getElementById('<%=lbLeftColumn.ClientID%>').disabled = __disabled;
		document.getElementById('<%=lbRightColumn.ClientID%>').disabled = __disabled;
		document.getElementById('<%=ddNotAdded.ClientID%>').disabled = __disabled;
		document.getElementById('<%=btnAdd.ClientID%>').disabled = __disabled;
	}
	
	function Move(str, dir)
	{
		if(__disabled)
			return;
			
		var moveCol;
		var moveHide;
		if(str=="left")
		{
			moveCol = document.getElementById('<%=lbLeftColumn.ClientID%>');
			moveHide = document.getElementById('<%=in_leftcol_hide.ClientID%>');
		}
		else if(str=="right")
		{
			moveCol = document.getElementById('<%=lbRightColumn.ClientID%>');
			moveHide = document.getElementById('<%=in_rightcol_hide.ClientID%>');
		}

		MoveColSel(moveCol, dir, moveHide);
	}
	
    function RemoveHPSection(str)
	{
		if(__disabled)
			return;
			
		var removeCol;
		var removeHide;
		
		if(str=="left")
		{
			removeCol = document.getElementById('<%=lbLeftColumn.ClientID%>');
			removeHide = document.getElementById('<%=in_leftcol_hide.ClientID%>');
		}
		else if(str=="right")
		{
			removeCol = document.getElementById('<%=lbRightColumn.ClientID%>');
			removeHide = document.getElementById('<%=in_rightcol_hide.ClientID%>');
		}
			
		if(removeCol.options.length < 1)
			return;
			
		var ddobj = document.getElementById('<%=ddNotAdded.ClientID%>');
		var toHide = document.getElementById('<%=in_section_hide.ClientID%>');
		
		AddToSel(removeCol, ddobj, toHide);
		DeleteFromSel(removeCol, removeHide);
	}
	
	function AddHPSection()
	{
		if(__disabled)
			return false;
			
		var ddobj = document.getElementById('<%=ddNotAdded.ClientID%>');
		var removeHide = document.getElementById('<%=in_section_hide.ClientID%>');
		
		if(ddobj.options.length < 1)
			return false;
		
		var obj;
		var toHide;
		
		if(ddobj.value.indexOf('1')==0)
		{
			obj = document.getElementById('<%=lbLeftColumn.ClientID%>');
			toHide = document.getElementById('<%=in_leftcol_hide.ClientID%>');
		}
		else if(ddobj.value.indexOf('2')==0)
		{
			obj = document.getElementById('<%=lbRightColumn.ClientID%>');
			toHide = document.getElementById('<%=in_rightcol_hide.ClientID%>');
		}
		
		AddToSel(ddobj, obj, toHide);
		DeleteFromSel(ddobj, removeHide);
		
		return false;
	}
</script>
<table class="ibn-stylebox" cellspacing="0" cellpadding="0" width="100%" border="0">
	<tr>
		<td><ibn:blockheader id="secHeader" runat="server"></ibn:blockheader></td>
	</tr>
	<tr>
		<td style="PADDING-LEFT: 7px">
			<table class="ibn-propertysheet" cellpadding="4" width="100%" border="0">
				<tr>
					<td valign="top">
						<asp:RadioButtonList ID="rbList" Runat="server" CssClass="text" RepeatColumns="1" RepeatDirection="Vertical">
						</asp:RadioButtonList>
						<br/>
						<div style="border:1px solid #d2d2d2;padding:10px;">
							<div style="float:left;">
								<table cellpadding="0" cellspacing="0" class="text">
									<tr>
										<td valign="top">
											<b><%=LocRM.GetString("LeftColumn")%>:</b><br />
											<asp:ListBox ID="lbLeftColumn" Runat="server" Rows="7" CssClass="text" Width="260px"></asp:ListBox>
											<input type="hidden" id="in_leftcol_hide" runat="server"/>
										</td>
										<td valign="top">
											<div style="margin-top: 13px; margin-left: 6px;">
												<a href="javascript:Move('left', -1);">
													<img title='<%=LocRM.GetString("MoveUp")%>' style="border-width: 0px;" src="../layouts/images/up_web.gif" alt=""/></a>
											</div>
											<div style="margin-top: 6px; margin-left: 6px;">
												<a href="javascript:Move('left', 1);">
													<img title='<%=LocRM.GetString("MoveDown")%>' style="border-width: 0px;" src="../layouts/images/dn_web.gif" alt=""/></a>
											</div>
											<div style="margin-top: 37px; margin-left: 6px;">
												<a href="javascript:RemoveHPSection('left');">
													<img title='<%=LocRM.GetString("Remove")%>' style="border-width: 0px;" src="../layouts/images/delete.gif" alt=""/></a>
											</div>
										</td>
									</tr>
								</table>
							</div>
							<div style="float:left;">
								<table cellpadding="0" cellspacing="0" class="text">
									<tr>
										<td style="vertical-align: middle; text-align: center; width: 60px;">
										</td>
										<td valign="top">
											<b><%=LocRM.GetString("RightColumn")%>:</b><br />
											<asp:ListBox ID="lbRightColumn" Runat="server" Rows="7" CssClass="text" Width="260px"></asp:ListBox>
											<input type="hidden" id="in_rightcol_hide" runat="server"/>
										</td>
										<td valign="top">
											<div style="margin-top: 13px; margin-left: 6px;">
												<a href="javascript:Move('right', -1);">
													<img title='<%=LocRM.GetString("MoveUp")%>' style="border-width: 0px;" src="../layouts/images/up_web.gif" alt=""/></a>
											</div>
											<div style="margin-top: 6px; margin-left: 6px;">
												<a href="javascript:Move('right', 1);">
													<img title='<%=LocRM.GetString("MoveDown")%>' style="border-width: 0px;" src="../layouts/images/dn_web.gif" alt=""/></a>
											</div>
											<div style="margin-top: 37px; margin-left: 6px;">
												<a href="javascript:RemoveHPSection('right');">
													<img title='<%=LocRM.GetString("Remove")%>' style="border-width: 0px;" src="../layouts/images/delete.gif" alt=""/></a>
											</div>
										</td>
									</tr>
								</table>
							</div>
							<div style="clear:left; padding-top: 12px; vertical-align:top;">
								<asp:DropDownList ID="ddNotAdded" Runat="server" Width="260px"></asp:DropDownList>
								<asp:Button ID="btnAdd" Runat="server" CssClass="text"></asp:Button>
								<input type="hidden" id="in_section_hide" runat="server"/>
							</div>
						</div>
					</td>
				</tr>
				<tr>
					<td valign="middle" align="right" height="60">
						<btn:IMButton class="text" id="btnSave" Runat="server" style="width:105px;" CustomImage="../layouts/images/saveitem.gif" onserverclick="btnSave_Click"></btn:IMButton>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>