<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Page language="c#" Inherits="Mediachase.UI.Web.Admin.EMailPop3BoxEdit" Codebehind="EMailPop3BoxEdit.aspx.cs" %>
<%@ register TagPrefix="mc" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\Modules\BlockHeader.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title><%=sTitle%></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/dialog.css")%>' rel="stylesheet" type="text/css">
	<link href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/ibn.css")%>' rel="stylesheet">
	<LINK href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/windows.css")%>' type="text/css" rel="stylesheet">
	<LINK href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Layouts/Styles/mcCalendClient.css")%>' rel="stylesheet">
	<script src='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Scripts/buttons.js")%>'></script>
	<script src='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/Scripts/browser.js")%>'></script>
	<script language="javascript">
			function disableEnterKey() 
			{ 
				try {
					if (window.event.keyCode == 13 && window.event.srcElement.type != "textarea")
						window.event.keyCode = 0;
				}
				catch (e) {}
			}
	</script>
  </head>
  <body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0" marginwidth="0" marginheight="0" style="margin:0px;background-color:#ffffff">
	
    <mc:FixedForm id="frmMain" method="post" runat="server" onkeypress="disableEnterKey()" bgcolor="#ece9d8" enctype="multipart/form-data">
<TABLE class="ibn-stylebox2" cellSpacing="0" cellPadding="0" width="100%" border="0">
	<tr>
		<td><ibn:blockheader id="secHeader" runat="server" /></td>
	</tr>
	<tr>
		<td style="padding: 5px">  
			<table border="0" cellpadding="5" cellspacing="0" width="100%" class="text">
				<tr>
					<td width="80px"><b><%=LocRM.GetString("tName")%>:</b></td>
					<td>
						<asp:TextBox Runat="server" ID="txtName" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfName" Display="Static" ErrorMessage="*" 
						 ControlToValidate="txtName"></asp:RequiredFieldValidator>		
					</td>
				</tr>
				<tr>
					<td style="FONT-WEIGHT: bold">
						<asp:Literal Runat="server" ID="ltInternalEmail"></asp:Literal>:
					</td>
					<td>
						<asp:TextBox Runat="server" ID="tbInternalEmail" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvInternalEmail" Display="Dynamic" ErrorMessage="*" 
						 ControlToValidate="tbInternalEmail"></asp:RequiredFieldValidator>
						<asp:RegularExpressionValidator Runat="server" ID="revInternalEmail" Display="Dynamic" 
							ControlToValidate="tbInternalEmail" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" ErrorMessage="*"></asp:RegularExpressionValidator>
							
					</td>
				</tr>
				<tr>
					<td style="FONT-WEIGHT: bold">
						<asp:Literal Runat="server" ID="ltServer"></asp:Literal>:
					</td>
					<td>
						<asp:TextBox Runat="server" ID="tbServer" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvServer" Display="Dynamic" ErrorMessage="*" 
						ControlToValidate="tbServer"></asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td style="FONT-WEIGHT: bold">
						<asp:Literal Runat="server" ID="ltPort"></asp:Literal>:
					</td>
					<td>
						<asp:TextBox Runat="server" ID="tbPort" Width="200px" Text="110"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvPort" Display="Dynamic" ErrorMessage="*" 
						ControlToValidate="tbPort"></asp:RequiredFieldValidator>
						<asp:CompareValidator Runat="server" Type="Integer" ErrorMessage="*" Display="Dynamic" ControlToValidate="tbPort" ValueToCompare="1" Operator="GreaterThanEqual" ></asp:CompareValidator>
						
					</td>
				</tr>
				<tr>
					<td style="FONT-WEIGHT: bold">
						<asp:Literal Runat="server" ID="ltLogin"></asp:Literal>:
					</td>
					<td>
						<asp:TextBox Runat="server" ID="tbLogin" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvLogin" Display="Dynamic" ErrorMessage="*" 
						ControlToValidate="tbLogin"></asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td style="FONT-WEIGHT: bold">
						<asp:Literal Runat="server" ID="ltPassword"></asp:Literal>:
					</td>
					<td>
						<asp:TextBox Runat="server" ID="tbPassword" TextMode="Password" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvPassword" Display="Dynamic" ErrorMessage="*" 
						 ControlToValidate="tbPassword"></asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr runat="server" id="trConfirmPassword">
					<td style="FONT-WEIGHT: bold">
						<asp:Literal Runat="server" ID="ltConfirmPassword"></asp:Literal>:
					</td>
					<td>
						<asp:TextBox Runat="server" ID="tbConfirmPassword" TextMode="Password" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator Runat="server" ID="rfvConfirmPassword" Display="Dynamic" ErrorMessage="*" 
						 ControlToValidate="tbConfirmPassword"></asp:RequiredFieldValidator>
						 <asp:CompareValidator Runat="server" Type="String" ErrorMessage="*" Display="Dynamic" ControlToValidate="tbConfirmPassword" Operator="Equal" ID="cvConfirmPassword" ControlToCompare="tbPassword" ></asp:CompareValidator>
					</td>
				</tr>
				<tr>
					<td style="FONT-WEIGHT: bold" >
						<%=LocRM.GetString("tUseSecureConnection") %>
					</td>
					<td>
						<asp:RadioButtonList runat="Server" ID="rblSecureConnection" RepeatDirection="Horizontal">
							<asp:ListItem  Value="Never"></asp:ListItem>
							<asp:ListItem Value="SSL"></asp:ListItem>
							<asp:ListItem Value="TLS"></asp:ListItem>
						</asp:RadioButtonList>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						
					</td>
				</tr>
				<tr>
					<td width="80px">
						<asp:Label Runat="server" ID="lbSettingsValid" Visible="false" ForeColor="Red"></asp:Label>
					</td>
					<td align="right" style="padding-right:10px">
						<asp:Button Runat="server" ID="btCheckSettings" Text="Check"></asp:Button>
					</td>
				</tr>
				<tr height="50px" valign="bottom">
					<td align="right" style="padding-right:10px" colspan="2">
						<mc:ImButton runat="server" class='text'  ID="imbSave" CustomImage="../layouts/images/saveitem.gif" style="width:105px"></mc:ImButton>&nbsp;
						<mc:ImButton runat="server" class='text' ID="imbCancel" CustomImage="../layouts/images/cancel.gif" onclick="javascript:window.close();" style="width:105px" CausesValidation="false"></mc:ImButton>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

     </mc:FixedForm>
	
  </body>
</html>
