<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Admin.Modules.SMTPSettings" Codebehind="SMTPSettings.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx" %>
<%@ register TagPrefix="mc" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<script language="javascript" type="text/javascript">
function SetVisible(obj_id)
{
	var obj = document.getElementById(obj_id);
	var obj1 = document.getElementById('<%=txtUser.ClientID%>');
	var obj2 = document.getElementById('<%=txtPassword.ClientID%>');
	var obj3 = document.getElementById('<%=txtConfirmPassword.ClientID%>');
	if(obj && obj1 && obj2 && obj3)
	{
		obj1.disabled = !obj.checked;
		obj2.disabled = !obj.checked;
		obj3.disabled = !obj.checked;
		
	}
}
</script>
<table class="ibn-stylebox2" cellspacing="0" cellpadding="0" width="100%" border="0">
  <colgroup>
    <col width="450px" />
    <col />
  </colgroup>
	<tr>
		<td colspan="2"><ibn:blockheader id="secHeader" runat="server" /></td>
	</tr>
	<tr>
	  <td style="padding-left:30px;">
      <asp:RadioButtonList ID="rbType" runat="server" AutoPostBack="true" 
          CellPadding="5" CellSpacing="0" RepeatDirection="Vertical" CssClass="boldtext">
      </asp:RadioButtonList>
    </td>
    <td rowspan="2" valign="top" style="padding:50px;">
      <div class="text" style="vertical-align:middle; padding-top:10px; padding-bottom:10px; background-color:#ffffe1;border:1px solid #bbb;">
        <blockquote style="border-left:solid 2px #CE3431; padding-left:10px; margin:5px; margin-left:15px; padding-top:3px; padding-bottom:3px">
          <asp:Label ID="lblMessage" runat="server"></asp:Label>
          <div style="text-align:center; padding-top:10px">
            <asp:LinkButton ID="lbCheck" runat="server" Font-Bold="true" Font-Underline="true"></asp:LinkButton>
          </div>
        </blockquote>
      </div>
    </td>
	</tr>
	<tr>
		<td style="padding: 5px 5px 15px 30px;">
			<table cellpadding="7" cellspacing="0" class="text" style="border:1px solid #bbb;">
			  <colgroup>
			    <col width="140px" />
			    <col width="250px" />
			  </colgroup>
			  <tr>
					<td><b><%=LocRM.GetString("tServer")%>:</b></td>
					<td>
						<asp:TextBox ID="txtServer" Runat="server" CssClass="text" Width="200px"></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td><b><%=LocRM.GetString("tPort")%>:</b></td>
					<td>
						<asp:TextBox ID="txtPort" Runat="server" CssClass="text" Width="200px"></asp:TextBox>
						<asp:RequiredFieldValidator id="rfPort" Runat="server" Display="Dynamic" ErrorMessage="*" ControlToValidate="txtPort"></asp:RequiredFieldValidator>
						<asp:CompareValidator ID="cvPort" Runat="server" Display="Dynamic" ErrorMessage="*" ControlToValidate="txtPort" Operator="GreaterThanEqual" ValueToCompare="0" Type="Integer"></asp:CompareValidator>
					</td>
				</tr>
				<tr>
					<td></td>
					<td><asp:CheckBox ID="cbTls" Runat="server" CssClass="text"></asp:CheckBox></td>
				</tr>
				<tr>
					<td></td>
					<td><asp:CheckBox ID="cbAuthenticate" onclick="SetVisible(this.id);" Runat="server" CssClass="text"></asp:CheckBox></td>
				</tr>
				<tr>
					<td><b><%=LocRM.GetString("tUser")%>:</b></td>
					<td><asp:TextBox ID="txtUser" Runat="server" CssClass="text" Width="200px"></asp:TextBox></td>
				</tr>
				<tr>
					<td><b><%=LocRM.GetString("tPassword")%>:</b></td>
					<td>
						<asp:TextBox ID="txtPassword" TextMode="Password" Runat="server" CssClass="text" Width="200px"></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td><b><%=LocRM.GetString("tConfirmPassword")%>:</b></td>
					<td>
						<asp:TextBox ID="txtConfirmPassword" TextMode="Password" Runat="server" CssClass="text" Width="200px"></asp:TextBox>
						<asp:CompareValidator Runat="server" ID="cvConfirmPassword" ErrorMessage="*" ControlToCompare="txtPassword" Display="Dynamic" ControlToValidate="txtConfirmPassword"></asp:CompareValidator>
					</td>
				</tr>
				<tr valign="bottom" style="height:50px;">
					<td align="right" colspan="2" style="padding-right:40px">
						<mc:ImButton runat="server" class="text" ID="imbSave" style="width:105px"></mc:ImButton>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>