<%@ Control Language="C#" AutoEventWireup="true" Inherits="Mediachase.UI.Web.Incidents.Modules.ArticleEdit" Codebehind="ArticleEdit.ascx.cs" %>
<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Reference Control="~/Modules/FormHelper.ascx" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx" %>
<%@ register TagPrefix="btn" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="FTB" Namespace="FreeTextBoxControls" Assembly="FreeTextBox" %>
<%@ Register TagPrefix="ibn" TagName="FormHelper" src="..\..\Modules\FormHelper.ascx" %>

<TABLE class="ibn-stylebox text" style="MARGIN-TOP: 0px; margin-left:2px" cellSpacing=0 cellPadding=0 width="100%" border=0>
	<tr>
		<td><ibn:blockheader id="secHeader" runat="server"></ibn:blockheader></td>
	</tr>
	<tr>
		<td style="PADDING-RIGHT: 15px; PADDING-LEFT: 15px; PADDING-BOTTOM: 15px; PADDING-TOP: 15px">
			<table class=ibn-propertysheet cellSpacing=3 cellPadding=3 width="100%" border=0 style="table-layout:fixed">
				<colgroup>	
					<col width="80px" />
					<col />
					<col width="100px" />
					<col width="50px" />
				</colgroup>
				<tr>
					<td width=80 valign="top" class="ibn-label">
						<%= LocRM.GetString("atclQuestion")%>:
					</td>
					<TD colspan="3">
						<asp:textbox id="txtQuestion" CssClass="text" Runat="server" Width="98%" TextMode="MultiLine" Rows="4" MaxLength="1000"></asp:textbox>
						<asp:requiredfieldvalidator id=RequiredFieldValidator1 runat="server" CssClass="Text" ControlToValidate="txtQuestion" ErrorMessage=" * "></asp:requiredfieldvalidator>
					</TD>
				</tr>
				<tr>
					<td width=80 valign="top" class="ibn-label">
						<%= LocRM.GetString("atclAnswer")%>:
					</td>
					<TD colspan="3">
						<FTB:FreeTextBox id="fckEditor" 
							ToolbarLayout="fontsizesmenu,undo,redo,bold,italic,underline, createlink" 
							runat="Server" Width="98%" Height="250px" EnableHtmlMode="true" 
							DropDownListCssClass = "text" 
							GutterBackColor="#F5F5F5" BreakMode = "LineBreak" BackColor="#F5F5F5" 
							ToolbarBackgroundImage="false" 
							SupportFolder = "~/Scripts/FreeTextBox/"
							JavaScriptLocation="ExternalFile" 
							ButtonImagesLocation="ExternalFile"
							ToolBarImagesLocation="ExternalFile" 
							HtmlModeCssClass="text" DesignModeBodyTagCssClass="text" DesignModeCss="~/Layouts/Styles/windows.css" />
					</TD>
				</tr>
				<tr>
					<td width=80 class="ibn-label">
						<%= LocRM.GetString("atclTags")%>:
					</td>
					<td>
						<asp:textbox id="txtTags" CssClass="text" Runat="server" Width="80%" MaxLength="1000"></asp:textbox>
						<ibn:FormHelper id="fhTags" runat="server" ResKey="ArticleEdit_Tags" Width="250" Position="TL"/>
					</td>
					<td width="100px" class="ibn-label">
						<%= LocRM.GetString("atclDelimiter")%>:
					</td>
					<td width="50px">
						<asp:DropDownList runat="server" ID="ddlDelimiter">
							<asp:ListItem Text=" " Value=" "></asp:ListItem>
							<asp:ListItem Text="," Value=","></asp:ListItem>
							<asp:ListItem Text=";" Value=";"></asp:ListItem>
						</asp:DropDownList>
					</td>
				</tr>
				<tr>
					<td vAlign=bottom align=right height=40></td>
					<TD vAlign=bottom align=left height=40 colspan="3">
						<btn:IMButton class=text id=btnSave style="width:105px;" Runat="server" CustomImage="../layouts/images/saveitem.gif" Text="" onserverclick="btnSave_ServerClick"></btn:IMButton>&nbsp;&nbsp;
						<btn:IMButton class=text id=btnCancel style="width:105px;" Runat="server" Text="" IsDecline="true" CausesValidation="false" onserverclick="btnCancel_ServerClick"></btn:IMButton>
					</TD>
				</tr>
			</table>
		</td>
	</tr>
</TABLE>
<input id="iGroups" style="VISIBILITY: hidden" runat="server" NAME="iGroups">

