<%@ Reference Page="~/Incidents/ResponsiblePool.aspx" %>
<%@ Reference Control="~/Modules/PageViewMenu.ascx" %>
<%@ Reference Control="~/Incidents/Modules/Incidents.ascx" %>
<%@ Reference Control="~/Modules/BlockHeaderLightWithMenu.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Incidents.Modules.Responsibility" Codebehind="Responsibility.ascx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeaderLightWithMenu.ascx" %>
<%@ register TagPrefix="mc" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<link href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/layouts/styles/objectDD.css") %>' type="text/css" rel="stylesheet" />
<script language="javascript" type="text/javascript">
function ChangeVisible(str, str1, obj)
{
	var trMain = document.getElementById('trMain');
	var tbl = document.getElementById('<%=tblMain.ClientID%>');
	var tbl2 = document.getElementById('tblMain2');
	var tbl3 = document.getElementById('tblMain3');
	if(str.indexOf('_'+obj.value+'_')>=0)
	{
		trMain.style.display = "";
		tbl.style.display = "";
		tbl2.style.display = "";
		tbl3.style.display = "none";
	}
	else
	{
		trMain.style.display = "none";
		tbl2.style.display = "none";
		tbl3.style.display = "none";
	}
	if(str1.indexOf('_'+obj.value+'_')>=0)
	{
		trMain.style.display = "";
		tbl3.style.display = "";
		tbl.style.display = "none";
	}
}
function SelectThis(obj, _value)
{
	var obj1 = document.getElementById('<%=lblClient.ClientID%>');
	var _hid = document.getElementById('<%=hidResp.ClientID%>');
	var _hid2 = document.getElementById('<%=hidDecline.ClientID%>');
	if(obj1 && _hid && _value!=0)
	{
		obj1.innerHTML = obj.innerHTML;
		_hid.value = _value;
		if(_hid2)
			_hid2.value = "0";
	}
	closeMenu();
}
var old_value;
var old_intvalue;
function SelectMe(_value, _intvalue, _decline)
{
	var obj1 = document.getElementById('<%=lblClient.ClientID%>');
	var _hid = document.getElementById('<%=hidResp.ClientID%>');
	if(obj1 && _hid)
	{
		var _hid2 = document.getElementById('<%=hidDecline.ClientID%>');
		var cbAcc = document.getElementById('cbAccept');
		var cbDec = document.getElementById('cbDecline');
		var fsAcc = document.getElementById('fsAccept');
		var fsDec = document.getElementById('fsDecline');
		if(cbDec && cbAcc)
		{
			if(_decline=='0')
			{
				if(cbAcc.checked)
					cbDec.checked = false;
			}
			else
			{
				if(cbDec.checked)
					cbAcc.checked = false;
			}
		}
		if(cbDec && _hid2)
		{
			_hid2.value = (cbDec.checked)? '1' : '0';
		}
		if(cbDec && fsDec)
		{
			if(cbDec.checked)
				fsDec.className = "rest-black";
			else
				fsDec.className = "rest-gray";
		}
		if(cbAcc && fsAcc)
		{
			if(cbAcc.checked)
				fsAcc.className = "rest-black";
			else
				fsAcc.className = "rest-gray";
		}
		
		if(cbAcc && cbAcc.checked)
		{
			old_value = obj1.innerHTML;
			old_intvalue = _hid.value;
			obj1.innerHTML = _value;
			_hid.value = _intvalue;
		}
		else if(cbAcc && old_value && old_intvalue)
		{
			obj1.innerHTML = old_value;
			_hid.value = old_intvalue;
		}
	}
}
function TdOver(obj)
{
  if(obj)
  {
    if(obj.className == "cellclass")
      obj.className = "hovercellclass";
  }
}
function TdOut(obj)
{
 if(obj)
  {
    if(obj.className == "hovercellclass")
      obj.className = "cellclass";
  }
}
function getMenu(s)
{
	return document.getElementById(s)
}
function closeMenu()
{
	getMenu('divDropDown').style.display = "none";
}
function openDD(curObjID)
{
	var curObj = document.getElementById(curObjID);
	menu = getMenu('divDropDown');
	off = GetTotalOffset(curObj);
	menu.style.left = off.Left-233;
	menu.style.top = off.Top+22;
	menu.style.display = "";
}
function ShowHideList(curObjID)
{
	obj = getMenu('divDropDown');
	if (obj.style.display == "none")
	{
		openDD(curObjID);
	}
	else
		closeMenu();
}
function GetTotalOffset(eSrc)
{
	this.Top = 0;
	this.Left = 0;
	while (eSrc)
	{
		this.Top += eSrc.offsetTop;
		this.Left += eSrc.offsetLeft;
		eSrc = eSrc.offsetParent;
	}
	return this;
}
function OpenWindow(query,w,h,scroll)
{
	var l = (screen.width - w) / 2;
	var t = (screen.height - h) / 2;
	
	winprops = 'resizable=0, height='+h+',width='+w+',top='+t+',left='+l;
	if (scroll) winprops+=',scrollbars=1';
	var f = window.open(query, "_blank", winprops);
}
</script>
<table cellSpacing="0" cellPadding="0" border="0" width="100%" style="MARGIN-TOP:5px">
	<tr>
		<td>
			<ibn:blockheader id="secHeader" runat="server" />
		</td>
	</tr>
</table>
<table class="ibn-stylebox-light ibn-propertysheet" cellSpacing="0" cellPadding="0" width="100%" border="0">
	<tr>
		<td width="420px" valign="top">
			<table cellspacing="0" cellpadding="5" width="100%" border="0" class="ibn-propertysheet">
				<tr>
					<td width="110px" valign="top" style="padding-top:10px"><b><%=LocRM.GetString("Status")%>:</b></td>
					<td width="300px" valign="top"><asp:DropDownList ID="ddStatus" Runat="server" Width="250px"></asp:DropDownList></td>
				</tr>
				<tr id="trMain">
					<td width="110px" valign="top" style="padding-top:10px"><b><%=LocRM.GetString("tResponsible")%>:</b></td>
					<td width="300px" valign="top">
						<table width="250px" cellpadding="0" cellspacing="0" border="0" class="ibn-propertysheet" style="table-layout:fixed" runat="server" id="tblMain">
							<tr>
								<td>
									<div class="dropstyle">
										<asp:Label runat="server" ID="lblClient"></asp:Label>
									</div>
								</td>
								<td class="btndown" id="tdChange" runat="server">
									<asp:Label ID="lblChange" Runat="server"></asp:Label>
								</td>
							</tr>
						</table>
						<table cellspacing="0" cellpadding="0" width="250px" border="0" class="ibn-propertysheet" style="table-layout:fixed" id="tblMain3">
							<tr>
								<td valign="top"><asp:Label ID="lblController" Runat="server" CssClass="text"></asp:Label></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td colspan="2" valign="top">
						<table cellspacing="0" cellpadding="2" width="410px" class="text" id="tblMain2">
							<tr>
								<td><asp:Label ID="lblAccept" Runat="server" CssClass="text"></asp:Label></td>
								<td><asp:Label ID="lblDecline" Runat="server" CssClass="text"></asp:Label></td>
							</tr>
							<tr>
								<td valign="top"><asp:Label ID="lblAcceptText" Runat="server" CssClass="text"></asp:Label></td>
								<td valign="top"><asp:Label ID="lblDeclineText" Runat="server" CssClass="text"></asp:Label></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
		<td valign="top" align="right" style="padding:5">
			<asp:TextBox ID="txtDescription" Runat="server" Width="100%" CssClass="text" TextMode="MultiLine" Rows="6"></asp:TextBox>
			<div style="padding:10 7 7 7;">
			<mc:ImButton runat="server" class="text" ID="imbSend" style="width:105px"></mc:ImButton></div>
		</td>
	</tr>
</table>
<div id="divDropDown" style="position:absolute; top:30px;left:100px; z-index:255;padding:0px;display:none; border: 1px solid #95b7f3;" class="ibn-rtetoolbarmenu ibn-propertysheet ibn-selectedtitle">
	<table cellpadding="0" cellspacing="0" border="0" width="250px" id="tableDD" runat="server" class="text">
	</table>
</div>
<input type="hidden" runat="server" id="hidResp" />
<input type="hidden" runat="server" id="hidDecline" />
<asp:Button id="btnRefresh" runat="server" CausesValidation="False" style="display:none;"></asp:Button>
<asp:Button id="btnRefreshMore" runat="server" CausesValidation="False" style="display:none;"></asp:Button>