<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ActivitiesByMilestones2.ascx.cs" Inherits="Mediachase.UI.Web.Projects.Modules.ActivitiesByMilestones2" %>
<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="~/Modules/BlockHeader.ascx" %>
<%@ register TagPrefix="dg" namespace="Mediachase.UI.Web.Modules.DGExtension" Assembly="Mediachase.UI.Web" %>
<%@ register TagPrefix="btn" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<script type="text/javascript" src="../Scripts/ganttScript2.js"></script>
<script type="text/javascript">
function OpenWindow(query,w,h,scroll)
{
	var l = (screen.width - w) / 2;
	var t = (screen.height - h) / 2;
	
	winprops = 'modal=1,resizable=0,height='+h+',width='+w+',top='+t+',left='+l;
	if (scroll) winprops+=',scrollbars=1';
	var f = window.open(query, "_blank", winprops);
}

function CheckForCustomFilter(obj)
{
	if(obj!=null && obj.selectedIndex == obj.options.length-1)
	{
		OpenWindow('../Projects/ProjectsByBusinessScoresPopUp.aspx',350,350,false);
	}
	
}

//==============GanttChart scripts======================
var _linkToGantt = "";
function f_onload(lx, portionWidth)
{
	var obj = document.getElementById('<%=hdnLinkToGantt.ClientID%>');
	_linkToGantt = obj.value;
	BindDiv('<%=divImg.ClientID%>', _linkToGantt, -1, '', '', lx, portionWidth);
}
</script>
<script type="text/javascript">
function closeLegendMenu()
{
	document.getElementById('divLegendMenu').style.display = "none";
}

function GetTotalOffset(eSrc)
{
	this.Top = 0;
	this.Left = 0;
	while (eSrc)
	{
		this.Top += eSrc.offsetTop;
		this.Left += eSrc.offsetLeft;
		eSrc = eSrc.offsetParent;
	}
	return this;
}

function ShowLegend(objId)
{
	menu = document.getElementById('divLegendMenu');
	var curObj = document.getElementById(objId);
	var off = GetTotalOffset(curObj);
	menu.style.left = off.Left - 260;
	menu.style.top = off.Top;
	menu.style.display = "";
}
</script>
<style type="text/css">
	.pp { PADDING-LEFT: 3px; BORDER-BOTTOM: #e4e4e4 1px solid }
	.pp A { COLOR: #003399; TEXT-DECORATION: none }
	.pp A:visited { COLOR: #003399 }
	.pp A:hover { COLOR: red }
	.d {height:18px; overflow-y:hidden; font-family:Verdana; font-size:8pt}
	
	.menuClass {color:#003399;}
	.menuClass TD {cursor:hand;padding-left:5px; background-color: #efefef; border-bottom:1px solid #888888}
</style>


<table class="ibn-stylebox" cellspacing="0" cellpadding="0" width="100%" border="0" style="MARGIN-TOP:0px">
	<tr>
		<td><ibn:blockheader id="secHeader" runat="server" /></td>
	</tr>
	<tr>
		<td class="ibn-navline ibn-alternating text" style="padding-top:8px" valign="top">
			<table cellpadding="5px">
				<tr>
					<td class="text" align="right" >
						<b><%=LocRM.GetString("tPrjGroup")%>:</b>
						<asp:DropDownList ID="ddPrjGroup" Runat="server" Width="190px" CssClass="text" onchange="javascript:CheckForCustomFilter(this);">
						</asp:DropDownList>
					</td>
					<td>
					</td>
				</tr>
				<tr>
					<td class="text" align="right">
						<b><%=LocRM.GetString("tCompare")%>:</b>
						<asp:DropDownList Runat="server" ID="ddOrBasePlan" Width="190px">
						</asp:DropDownList>
					</td>
					<td class="text" align="right">
						/&nbsp;&nbsp;&nbsp;
						<asp:DropDownList Runat="server" ID="ddBasePlan" Width="190px">
						</asp:DropDownList>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="text" align="right">
						<btn:imbutton class="text" CustomImage="../layouts/images/accept.gif" runat="server" id="btnApplyFilter" Text='<%# LocRM.GetString("Apply") %>' style="width:105px;"></btn:imbutton>
					</td>
				</tr>
			</table>	
		</td>
	</tr>
	<tr>
		<td>
			<table border="0" cellpadding="2" cellspacing="0" style="OVERFLOW:hidden;" width="100%">
				<tr>
					<td valign="top">
						<dg:DataGridExtended Runat="server" ID="grdTasks" allowpaging="True" 
							allowsorting="False" cellpadding="0" gridlines="None" CellSpacing="0" 
							borderwidth="0px" autogeneratecolumns="False" width="100%" pagesize="10" 
							LayoutFixed="false" >
							<HeaderStyle CssClass="ibn-vh2" Height="29"></HeaderStyle>
							<ItemStyle Font-Size="6pt" Height="19"></ItemStyle>
							<columns>
								<asp:boundcolumn datafield="ProjectId" HeaderText="ID" ItemStyle-CssClass="pp" ReadOnly="True" Visible="False"></asp:boundcolumn>
								<asp:boundcolumn datafield="TaskId" HeaderText="ID" ItemStyle-CssClass="pp" ReadOnly="True" Visible="False"></asp:boundcolumn>
								<asp:boundcolumn datafield="IsCollapsed" Visible="False" ReadOnly="True"></asp:boundcolumn>
								<asp:templatecolumn HeaderStyle-CssClass="pp" headertext="" ItemStyle-CssClass="pp" ItemStyle-Wrap="false">
									<itemtemplate>
										<div style="width:300px; overflow:hidden;" >
											<%# (((int)DataBinder.Eval(Container.DataItem, "MilestonesCount")>0)? "" : "&nbsp;&nbsp;&nbsp;")%>
											<asp:ImageButton id="btnCollapse" runat="server" commandname="Collapse" ImageUrl='<%#Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/layouts/images/minus.gif")%>'
											causesvalidation="False" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ProjectId")%>'
												Visible='<%#(int)DataBinder.Eval(Container.DataItem, "ProjectId")>0 && !(bool)DataBinder.Eval(Container.DataItem, "IsCollapsed") && (int)DataBinder.Eval(Container.DataItem, "MilestonesCount")>0%>' ImageAlign="AbsMiddle">
											</asp:ImageButton>
											<asp:ImageButton id="btnExpand" runat="server" commandname="Expand" ImageUrl='<%#Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/layouts/images/plus.gif")%>'
												causesvalidation="False" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ProjectId")%>'
												Visible='<%#(int)DataBinder.Eval(Container.DataItem, "ProjectId")>0 && (bool)DataBinder.Eval(Container.DataItem, "IsCollapsed") && (int)DataBinder.Eval(Container.DataItem, "MilestonesCount")>0%>' ImageAlign="AbsMiddle">
											</asp:ImageButton>
											<%# (((int)DataBinder.Eval(Container.DataItem, "ProjectId")>0)? "" : "&nbsp;")%>	
											<asp:HyperLink Runat="server" ID="hlView" Font-Bold='<%#(int)DataBinder.Eval(Container.DataItem, "ProjectId")>0%>' CssClass="text" NavigateUrl='<%# (((int)DataBinder.Eval(Container.DataItem, "ProjectId")>0)? "../ProjectView.aspx?ProjectId="+DataBinder.Eval(Container.DataItem, "ProjectId").ToString() : "../../Tasks/TaskView.aspx?TaskId="+DataBinder.Eval(Container.DataItem, "TaskId").ToString())%>'>
											<%# DataBinder.Eval(Container.DataItem, "Title").ToString()%>
											</asp:HyperLink>
										</div>
									</itemtemplate>
								</asp:templatecolumn>
								<asp:TemplateColumn ItemStyle-Width="40px" HeaderStyle-CssClass="pp" headertext="" ItemStyle-CssClass="pp" ItemStyle-Wrap="false">
									<itemtemplate>
										<asp:ImageButton Runat="server" ID="ibProjectStart" ImageUrl="../../layouts/images/left.gif" CausesValidation="False" Width="16px" Height="16px" CommandName="ProjectStart" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ProjectId")%>'
											Visible='<%#(int)DataBinder.Eval(Container.DataItem, "ProjectId")>0%>' ImageAlign="AbsMiddle"
											></asp:ImageButton>
										<asp:ImageButton Runat="server" ID="ibProjectEnd" ImageUrl="../../layouts/images/right.gif" CausesValidation="False" Width="16px" Height="16px" CommandName="ProjectEnd" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ProjectId")%>'
											Visible='<%#(int)DataBinder.Eval(Container.DataItem, "ProjectId")>0%>' ImageAlign="AbsMiddle"
											></asp:ImageButton>	
									</itemtemplate>
								</asp:TemplateColumn>
							</columns>
						</dg:DataGridExtended>
					</td>
					<td valign="top" width="750">
						<div id="divImg" onresize="_resizing(this.id, _linkToGantt)" runat="server" style="BACKGROUND-COLOR:  #e5e3df; OVERFLOW: hidden;POSITION:relative;cursor:hand;cursor:pointer;">
					
						</div>
						<div class="text" style="margin-top:5; text-align:center">
							<asp:LinkButton ID="lbToday" Runat="server" CausesValidation="False">Today</asp:LinkButton>
							&nbsp;&nbsp;
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>	
<input id="hdnLinkToGantt" type="hidden" runat="server" />
<div id="divLegendMenu" style="position:absolute; width:330px; border: solid 1px #333333; display:none;" class="ibn-rtetoolbarmenu ibn-propertysheet ibn-selectedtitle">
<img alt="" src="../../Layouts/images/deny_black.gif" width="15" height="15" border="0" align="right" hspace="0" vspace="0" style="cursor:pointer;" class="borderWhite" onclick="closeLegendMenu()" runat="server" id="imgClose" />
<asp:Table ID="tblLegend" runat="server" CellPadding="4" CellSpacing="0" CssClass="text">
</asp:Table>
</div>