<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Page language="c#" Inherits="Mediachase.UI.Web.Projects.ProjectsByBusinessScoresPopUp" Codebehind="ProjectsByBusinessScoresPopUp.aspx.cs" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\Modules\BlockHeader.ascx" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title><%=LocRM.GetString("tSelectProjectsToShow")%></title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    <link href='<%=Mediachase.UI.Web.Util.CommonHelper.GetAbsolutePath("/layouts/styles/windows.css")%>' type="text/css" rel="stylesheet" >
  </head>
  <body>
<script type="text/javascript">
function CheckProjects(obj)
{
	
	var boxes = document.getElementsByTagName('input');
	if(boxes!=null && boxes.length>0)
	{
		for(i=0; i<boxes.length;i++)
		{
			if(boxes[i].type=="checkbox" && boxes[i].id!=obj.id)
				boxes[i].checked = obj.checked;
		}
	}
}
</script>
	
    <form id="Form1" method="post" runat="server">
			<table class="ibn-stylebox" border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
				<tr>
					<td class="ms-toolbar">
						<ibn:blockheader id="secHeader" runat="server" />
					</td>
				</tr>
				<tr>
					<td class="ibn-navline ibn-alternating text" style="padding-top:8px" valign="top">
						<asp:CheckBox Runat="server" ID="cbAllProjects" Font-Bold="True" CssClass="text" onclick="javascript:CheckProjects(this);"></asp:CheckBox>
					</td>
				</tr>
				<tr class="text">
					<td>
					<div style="width:100%; height:300px; overflow-y:auto;">
						<asp:DataGrid Runat="server" ID="dgProjects" AllowPaging="False" AllowSorting="False" DataKeyField="ProjectId" GridLines="None"
							AutoGenerateColumns="False"  ShowHeader="False">
							<Columns>
								<asp:TemplateColumn>
									<ItemTemplate>
										<asp:CheckBox Runat="server" ID="cbProject" Text='<%# DataBinder.Eval(Container.DataItem,"Title")%>' CssClass="text"></asp:CheckBox>
									</ItemTemplate>	
								</asp:TemplateColumn>
							</Columns>
						</asp:DataGrid>
					</div>
					</td>
				</tr>
			</table>
			<asp:LinkButton Runat="server" ID="lbApply" Visible="False"></asp:LinkButton>
     </form>
  </body>
</html>
