<%@ Reference Control="~/Modules/DateTimeClientControl.ascx" %>
<%@ Page language="c#" Inherits="Mediachase.UI.Web.ToDo.ClientToDoCreate" Codebehind="ClientToDoCreate.aspx.cs" %>
<%@ register TagPrefix="btn" namespace="Mediachase.UI.Web.Modules" Assembly="Mediachase.UI.Web" %>
<%@ Register TagPrefix="cc1" Namespace="Mediachase.FileUploader.Web.UI" Assembly="Mediachase.FileUploader" %>
<%@ Register TagPrefix="ibn" TagName="DTCC" src="..\Modules\DateTimeClientControl.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Create ToDo</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../layouts/styles/windows.css" type="text/css" rel="stylesheet">
		<LINK href="../layouts/styles/mcCalendClient.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body style="BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BORDER-BOTTOM-STYLE: none">
		<form enctype="multipart/form-data" method="post" runat="server">
			<table class="text" style="PADDING-LEFT: 15px" cellSpacing="0" cellPadding="5" border="0">
				<tr>
					<td><asp:label id="lblTitleTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<asp:textbox id="txtTitle" runat="server" CssClass="text" Width="360"></asp:textbox>
						<asp:requiredfieldvalidator id="RequiredFieldValidator1" runat="server" ErrorMessage="*" ControlToValidate="txtTitle" Display="Dynamic"></asp:requiredfieldvalidator>
					</td>
				</tr>
				<tr id="trProject" runat="server">
					<td><asp:label id="lblProjectTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<asp:dropdownlist id="ddlProject" runat="server" CssClass="text" Width="200" AutoPostBack="True" onselectedindexchanged="ddlProject_SelectedIndexChanged">
							<asp:ListItem Value="-1">not set</asp:ListItem>
						</asp:dropdownlist>
					</td>
				</tr>
				<tr>
					<td><asp:label id="lblManagerTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<asp:dropdownlist id="ddlManager" runat="server" CssClass="text" Width="200"></asp:dropdownlist>
						<asp:label id="lblManager" runat="server" CssClass="text"></asp:label>
					</td>
				</tr>
				<tr>
					<td><asp:label id="lblStartDateTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<ibn:DTCC id="dtcStartDate" Drop_gAlign="center" SelectionDateType="Day" RequiredField="false" Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ShowTime="HM" TimeSpin="True" Minutes_Step="5" btnImgResetVisible="True" runat="server"></ibn:DTCC>
					</td>
				</tr>
				<tr>
					<td><asp:label id="lblEndDateTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<ibn:DTCC id="dtcEndDate" Drop_gAlign="center" SelectionDateType="Day" RequiredField="false" Path_Img="../Layouts/Images/" Path_JS="../Scripts/" File_JS="mcCalendScript.js" ShowTime="HM" TimeSpin="True" Minutes_Step="5" btnImgResetVisible="True" runat="server"></ibn:DTCC><asp:customvalidator id="CustomValidator1" runat="server" ErrorMessage="Wrong Date" Display="Dynamic"></asp:customvalidator>
					</td>
				</tr>
				<tr>
					<td><asp:label id="lblPriorityTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<asp:dropdownlist id="ddlPriority" runat="server" Width="200px"></asp:dropdownlist>
					</td>
				</tr>
				<tr>
					<td><asp:label id="lblCompletionTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td width="300">
						<asp:dropdownlist id="ddlCompletionType" runat="server" Width="200px"></asp:dropdownlist>
					</td>
				</tr>
				<tr>
					<td></td>
					<td width="300"><asp:checkbox id="chbMustBeConfirmed" runat="server" Text="Must be confirmed by Manager"></asp:checkbox>
						<asp:label id="lblConfirm" runat="server" CssClass="text" Visible="False"></asp:label></td>
				</tr>
				<TR>
					<TD><asp:label id="lblFileLoad" CssClass="text" Runat="server"></asp:label>:</TD>
					<TD><cc1:mchtmlinputfile id="fAssetFile" runat="server" CssClass="text"></cc1:mchtmlinputfile></TD>
				</TR>
				<tr>
					<td vAlign="top"><asp:label id="lblDescriptionTitle" CssClass="text" Runat="server"></asp:label>:</td>
					<td vAlign="top" width="300"><asp:textbox id="txtDescription" runat="server" CssClass="text" Width="360" TextMode="MultiLine" Height="100px" Rows="5"></asp:textbox></td>
				</tr>
				<tr>
					<td vAlign="center" align="right" colSpan="2" height="40">
						<input id="txtManagerId" style="VISIBILITY: hidden" name="iGroups" runat="server">
						<btn:imbutton class="text" id="btnSave" style="WIDTH:105px" Runat="server" Text="" onserverclick="btnSave_ServerClick"></btn:imbutton>&nbsp;&nbsp;
						<btn:imbutton class="text" id="btnCancel" Runat="server" style="width:105px;" IsDecline="true" CausesValidation="false"></btn:imbutton>
					</td>
				</tr>
			</table>
		</form>
	</body>
</HTML>
