<%@ Reference Control="~/Wizards/Modules/WizardTemplate.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Wizards.Modules.ImportDataWizard" Codebehind="ImportDataWizard.ascx.cs" %>
<%@ Register TagPrefix="mc" Namespace="Mediachase.FileUploader.Web.UI" Assembly = "Mediachase.FileUploader" %>
<style type="text/css">
	.hClass { 
		font-family: verdana; 
		color: #808080;
		text-align: left; 
		text-decoration: none; 
		font-weight: bold; 
		vertical-align: top;
		padding:3px 0;}
	.bClass { 
		font-family: verdana; 
		text-decoration: none; 
		font-weight: normal; 
		vertical-align: top;
		border-top: 1px solid #9e9e9e;
		padding:3px 0;}
</style>
<script language=javascript>
	function ChangeListType(obj)
	{
		var _fsNew = document.forms[0].<%=fsNewList.ClientID %>;
		var _fsUpd = document.forms[0].<%=fsUpdateList.ClientID %>;
		var _valCheck = document.getElementById('<%=lblCheckListTitle.ClientID %>');
		if(_fsNew!=null && _fsUpd!=null)
		{
			if (obj.id == "rbNewList")
			{
				_fsNew.style.display = "";
				_fsUpd.style.display = "none";
				document.forms[0].<%=hdnListType.ClientID %>.value = "0";
			}
			else
			{
				_fsNew.style.display = "none";
				_fsUpd.style.display = "";
				document.forms[0].<%=hdnListType.ClientID %>.value = "1";
			}
		}
		if(_valCheck!=null)
			_valCheck.style.display = "none";
	}
	
	function SetListType()
	{
		var str = document.forms[0].<%=hdnListType.ClientID %>.value;
		var _fsNew = document.forms[0].<%=fsNewList.ClientID %>;
		var _fsUpd = document.forms[0].<%=fsUpdateList.ClientID %>;
		var _rbNew = document.getElementById('rbNewList');
		var _rbUpd = document.getElementById('rbUpdList');
		var _valCheck = document.getElementById('<%=lblCheckListTitle.ClientID %>');
		if(_fsNew!=null && _fsUpd!=null && _valCheck!=null && _rbNew!=null && _rbUpd!=null)
		{
			if (str == "0")
			{
				_fsNew.style.display = "";
				_fsUpd.style.display = "none";
				_rbNew.checked = true;
			}
			else
			{
				_fsNew.style.display = "none";
				_fsUpd.style.display = "";
				_rbUpd.checked = true;
			}
			_valCheck.style.display = "none";
		}
	}
	
	function CheckListTitle()
	{
		var retval = true;
		var _valCheck = document.getElementById('<%=lblCheckListTitle.ClientID %>');
		var _fsUpd = document.forms[0].<%=fsUpdateList.ClientID %>;
		var _valTitle = document.getElementById('<%=txtTitle.ClientID %>');
		_valCheck.style.display = "none";
		if(_fsUpd!=null && _valCheck!=null && _valTitle!=null)
		{
			if(_fsUpd.style.display=="none" && _valTitle.value.length==0)
			{
				_valCheck.style.display = "";
				retval = false;
			}
		}
		if(retval)
		{
			__doPostBack('wT$btnNext','');
		}
		return retval;
	}
</script>
<asp:panel id="step1" Runat="server" Height="100%">
	<BR>
	<TABLE height="60%" width="100%">
		<TR>
			<TD vAlign="top" align="middle" width="50%">
				<FIELDSET id="fsObject" style="WIDTH: 70%">
					<LEGEND class="text" id="lgdObject" runat="server"></LEGEND>
					<TABLE width="99%">
						<TR>
							<TD width="50%" valign=top>
								<asp:RadioButtonList id="rbObjects" Runat="server" CssClass="text"></asp:RadioButtonList>
							</TD>
							<TD vAlign="top" align="middle" width="60"><IMG alt="" src="../layouts/images/quicktip.gif" border="0">
							</TD>
							<TD class="text" style="PADDING-RIGHT: 15px" vAlign="top"><%=LocRM.GetString("imStep1Comments")%></TD>
						</TR>
					</TABLE>
				</FIELDSET>
			</td>
		</tr>
	</table>
</asp:Panel>
<asp:panel id="step2" Runat="server" Height="100%">
	<BR>
	<TABLE height="60%" width="100%">
		<TR>
			<TD vAlign="top" align="middle" width="50%">
				<FIELDSET id="fsSource" style="WIDTH: 70%">
					<LEGEND class="text" id="lgdSourceType" runat="server"></LEGEND>
					<TABLE width="99%">
						<TR>
							<TD width="50%" valign=top>
								<asp:RadioButtonList id="rbSourceType" Runat="server" CssClass="text"></asp:RadioButtonList>
							</TD>
							<TD vAlign="top" align="middle" width="60"><IMG alt="" src="../layouts/images/quicktip.gif" border="0">
							</TD>
							<TD class="text" style="PADDING-RIGHT: 15px" vAlign="top"><%=LocRM.GetString("imStep2Comments")%></TD>
						</TR>
					</TABLE>
				</FIELDSET>
				<FIELDSET id="fsFile" style="WIDTH: 70%">
					<LEGEND class="text" id="lgdFile" runat="server"></LEGEND>
					<TABLE width="99%" height="50px">
						<TR>
							<TD width="50%">
								<mc:mchtmlinputfile style="width:350px" id="fSourceFile" class="text" runat="server" />
							</td>
						</tr>
					</table>
				</fieldset>
			</td>
		</tr>
	</table>
</asp:Panel>
<asp:Panel ID="step3" Runat=server Height="100%">
	<FIELDSET id="fsListType" runat=server style="WIDTH: 99%">
		<LEGEND class="text" id="lgdListType" runat="server"></LEGEND>
		<TABLE width="99%" height="50px">
			<TR>
				<TD>
					<input onclick="ChangeListType(this)" type=radio id="rbNewList" checked name="radListType"/>
					<label for="rbNewList"><%=LocRM.GetString("imStep3NewList")%></label>
				</TD>
				<TD vAlign="top" align="middle" width="60" rowspan=2><IMG alt="" src="../layouts/images/quicktip.gif" border="0">
				</TD>
				<TD class="text" style="PADDING-RIGHT: 15px" vAlign="top" rowspan=2><%=LocRM.GetString("imStep3Comments")%></TD>
			</tr>
			<tr>
				<td>
					<input onclick="ChangeListType(this)" type=radio id="rbUpdList" name="radListType"/>
					<label for="rbUpdList"><%=LocRM.GetString("imStep3UpdateExList")%></label>
				</td>
			</tr>
		</table>
	</fieldset>
	<FIELDSET id="fsNewList" runat=server style="WIDTH: 99%">
		<LEGEND class="text" id="lgdNewList" runat="server"></LEGEND>
		<TABLE width="99%">
			<tr>
				<td><b><%=LocRM.GetString("imStep3ListTitle")%>:</b></td>
				<td>
					<asp:textbox id="txtTitle" runat="server" CssClass="text" Width="150"></asp:textbox>
					<asp:Label ID="lblCheckListTitle" Runat=server CssClass="ibn-alerttext"></asp:Label>
				</td>
				<td rowspan="2" valign="top" width="100"><b><%=LocRM.GetString("imStep3GenCats")%>:</b></td>
				<td rowspan="2" valign="top">
					<asp:ListBox ID="lbGenCats" Runat=server Width="150"  SelectionMode="Multiple" CssClass="text" Rows="3"></asp:ListBox>
				</td>
			</tr>
			<tr>
				<td vAlign="top"><b><%=LocRM.GetString("imStep3Description")%>:</b></td>
				<td vAlign="top">
					<asp:textbox id="txtDescription" runat="server" CssClass="text" Width="150" TextMode="MultiLine" Height="70px"></asp:textbox>
				</td>
			</tr>
			<tr>
				<td vAlign="top"><b><%=LocRM.GetString("imStep3Type")%>:</b></td>
				<TD><asp:dropdownlist id="ddlType" runat="server" CssClass="text" Width="150" DataValueField="TypeId" DataTextField="TypeName"></asp:dropdownlist></TD>
				<td vAlign="top"><b><%=LocRM.GetString("imStep3Status")%>:</b></td>
				<TD><asp:dropdownlist id="ddlStatus" runat="server" CssClass="text" Width="150" DataValueField="StatusId" DataTextField="StatusName"></asp:dropdownlist></TD>
			</tr>
		</table>
	</fieldset>
	<FIELDSET id="fsUpdateList" runat=server style="WIDTH: 99%">
		<LEGEND class="text" id="lgdUpdateList" runat="server"></LEGEND>
		<TABLE width="99%">
			<TR>
				<td vAlign="top" style="padding-top:10px"><b><%=LocRM.GetString("imStep3SelectList")%>:</b></td>
				<TD style="padding-top:8px">
					<asp:dropdownlist id="ddlLists" runat="server" CssClass="text" Width="250"></asp:dropdownlist>
				</td>
			</tr>
		</table>
	</fieldset>
</asp:Panel>
<asp:panel id="step4" Runat="server" Height="100%">
<table>
	<tr>
		<td valign=top width="450px">
			<FIELDSET style="HEIGHT: 250px;margin:0;padding:2px">
				<LEGEND class="text ibn-legend-default" id="lgdFields" runat="server"></LEGEND>
				<br>
				<table style="TABLE-LAYOUT:fixed;" Width="440px" CellSpacing=0 cellpadding="3" border="0">
					<tr>
						<td width="21px"></td>
						<td Width="160px" class="hClass"><%=LocRM.GetString("imStep4SourceField")%></td>
						<td runat=server id="tdSecondField" Width="190px" class="hClass"><%=LocRM.GetString("imStep4IBNField")%></td>
						<td class="hClass"></td>
					</tr>
				</table>
				<div style="WIDTH: 440px; OVERFLOW-Y: auto;OVERFLOW: auto; HEIGHT: 200px; PADDING-BOTTOM:20px">
				<asp:datagrid id="grdFields" Runat="server" AutoGenerateColumns="False" AllowSorting="True" 
					AllowPaging=False cellpadding="0" gridlines="Horizontal" CellSpacing="0" 
					borderwidth="0px" Width="401px" ShowHeader="False" style="table-layout:fixed">
					<Columns>
						<asp:TemplateColumn>
							<HeaderStyle Width="21px"></HeaderStyle>
							<ItemStyle Width="21px"></ItemStyle>
							<ItemTemplate>&nbsp;</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn>
							<HeaderStyle CssClass="hClass" Width="160px"></HeaderStyle>
							<ItemStyle CssClass="bClass" Width="160px"></ItemStyle>
							<ItemTemplate>
								<%# DataBinder.Eval(Container.DataItem,"SourceField") %>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:DropDownList ID="ddSFields" CssClass="text" Width="90%" Runat="server">
								</asp:DropDownList>
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn>
							<HeaderStyle CssClass="hClass" Width="190px"></HeaderStyle>
							<ItemStyle CssClass="bClass" Width="190px"></ItemStyle>
							<ItemTemplate>
								<a href="#" id="linkTo" runat=server></a>
								<%# DataBinder.Eval(Container.DataItem,"IBNField") %>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn>
							<HeaderStyle HorizontalAlign="Right" Width="51px" CssClass="hClass"></HeaderStyle>
							<ItemStyle Width="51px" CssClass="bClass"></ItemStyle>
							<ItemTemplate>
								<asp:imagebutton id="ibMove" runat="server" borderwidth="0" title='<%# LocRM.GetString("tChange")%>' imageurl="../../layouts/images/edit.gif" commandname="Edit" causesvalidation="False">
								</asp:imagebutton>
							</ItemTemplate>
							<EditItemTemplate>
								<asp:imagebutton id="Imagebutton1" runat="server" borderwidth="0" title='<%# LocRM.GetString("tSave1")%>' imageurl="../../layouts/images/Saveitem.gif" commandname="Update" causesvalidation="True">
								</asp:imagebutton>
								&nbsp;
								<asp:imagebutton id="Imagebutton2" runat="server" borderwidth="0" imageurl="../../layouts/images/cancel.gif" title='<%# LocRM.GetString("tCancel")%>' commandname="Cancel" causesvalidation="False">
								</asp:imagebutton>
							</EditItemTemplate>
						</asp:TemplateColumn>
						<asp:boundcolumn datafield="SourceField" Visible="False"></asp:boundcolumn>
					</Columns>
				</asp:DataGrid>
				<asp:datagrid id="grdNewList" Runat="server" AutoGenerateColumns="False" AllowSorting="True" 
					AllowPaging=False cellpadding="0" gridlines="Horizontal" CellSpacing="0" 
					borderwidth="0px" Width="401px" ShowHeader="False" style="table-layout:fixed">
					<Columns>
						<asp:TemplateColumn>
							<HeaderStyle HorizontalAlign="Right" Width="21px" CssClass="hClass"></HeaderStyle>
							<ItemStyle Width="21px" CssClass="bClass"></ItemStyle>
							<ItemTemplate>
								<asp:CheckBox ID="chkField" Runat=server Checked='<%# (bool)DataBinder.Eval(Container.DataItem,"IsIn") %>'></asp:CheckBox>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn>
							<HeaderStyle CssClass="hClass" Width="160px"></HeaderStyle>
							<ItemStyle HorizontalAlign=left CssClass="bClass" Width="160px"></ItemStyle>
							<ItemTemplate>
								<a href="#" id="A1" runat=server></a>
								<%# DataBinder.Eval(Container.DataItem,"SourceField") %>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:boundcolumn datafield="SourceField" Visible="False"></asp:boundcolumn>
					</Columns>
				</asp:DataGrid>
				</div>
			</fieldset>
		</td>
	</tr>
</table>
</asp:Panel>
<asp:panel id="step5" Runat="server" Height="100%">
<table>
	<tr>
		<td valign=top width="450px">
			<asp:Label ID="lblFirstResult" Runat=server></asp:Label>
		</td>
	</tr>
</table>
</asp:Panel>
<asp:Panel ID="step6" Runat=server Height="100%">
	<asp:Label ID="lblFinalResult" Runat=server></asp:Label>
</asp:Panel>

<script language="javascript">
	function ShowProgress()
	{
		if(document.forms[0].<%=fSourceFile.ClientID %>.value!="")
		{
			var w = 300;
			var h = 140;
			var l = (screen.width - w) / 2;
			var t = (screen.height - h) / 2;
			winprops = 'resizable=0, height='+h+',width='+w+',top='+t+',left='+l;
			var f = window.open('../External/Progress.aspx?ID='+document.forms[0].__MEDIACHASE_FORM_UNIQUEID.value, "_blank", winprops);
		}		
	}
</script>

<input id="pastStep" type="hidden" value="0" runat="server" />
<input id="wwwPath" type="hidden" value="" runat="server" />
<input id="hdnListId" type="hidden" value="" runat="server"/>
<input id="hdnListType" type="hidden" value="0" runat="server"/>
<input id="hdnPreType" type="hidden" value="" runat="server"/>