<%@ Reference Page="~/Admin/WebStubs.aspx" %>
<%@ Reference Control="~/Modules/BlockHeader.ascx" %>
<%@ Register TagPrefix="ibn" TagName="BlockHeader" src="..\..\Modules\BlockHeader.ascx" %>
<%@ Control Language="c#" Inherits="Mediachase.UI.Web.Admin.Modules.AdmWebStubs" Codebehind="WebStubs.ascx.cs" %>
<TABLE cellSpacing="0" cellPadding="0" border="0" width="100%" class="ibn-stylebox2">
	<tr>
		<td><ibn:blockheader id="secHeader" runat="server" /></td>
	</tr>
	<tr>
		<td>
			<asp:datagrid id="dgStubs" CellPadding="1" GridLines="Horizontal" runat="server" borderwidth="0" autogeneratecolumns="False" width="100%" enableviewstate="True">
				<Columns>
					<asp:BoundColumn DataField="StubId" Visible=False ReadOnly=True></asp:BoundColumn>
					<asp:TemplateColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" HeaderStyle-Width="60" HeaderText="Icon">
						<ItemTemplate>
							<div style="background-image: url(../Layouts/images/area.gif);background-repeat: no-repeat;">
								<table border="0" cellpadding="0" cellspacing="0" width="40" height="40" style="background-color: transparent; table-layout: fixed;" title='<%# DataBinder.Eval(Container.DataItem, "ToolTip")%>'>
									<tr>
										<td align="center" valign="middle">
											<a href='<%# DataBinder.Eval(Container.DataItem, "Url")%>' target="_blank" style="text-decoration:none">
												<div>
													<%# GetIcon
													(
														(int)DataBinder.Eval(Container.DataItem, "HasIcon"),
														(string)DataBinder.Eval(Container.DataItem, "Abbreviation"),
														(int)DataBinder.Eval(Container.DataItem, "StubId")
													)
													%>
												</div>
											</a>
										</td>
									</tr>
								</table>
							</div>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:BoundColumn DataField="ToolTip" HeaderText="Title" HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2"></asp:BoundColumn>
					<asp:BoundColumn DataField="Url" HeaderText="URL" HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2"></asp:BoundColumn>
					<asp:TemplateColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" HeaderStyle-Width="100" HeaderText="Icon">
						<ItemTemplate>
							<%# GetGroups
								(
									(int)DataBinder.Eval(Container.DataItem, "StubId")
								) 
							%>
						</ItemTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderStyle-CssClass="ibn-vh2" ItemStyle-CssClass="ibn-vb2" ItemStyle-Width="65">
						<itemtemplate>
							<asp:HyperLink id="ibEdit" runat="server" imageurl="../../layouts/images/icons/webstub_Edit.GIF" NavigateUrl='<%# "~/Admin/AddEditWebStub.aspx?Group=1&StubId=" + DataBinder.Eval(Container.DataItem, "StubId").ToString()%>' ToolTip='<%#LocRM.GetString("Edit") %>'>
							</asp:HyperLink>&nbsp;&nbsp;
							<asp:imagebutton id="ibDelete" runat="server" borderwidth="0" width="16" height="16" imageurl="../../layouts/images/icons/webstub_DELETE.GIF" causesvalidation="False" CommandName="Delete" ToolTip='<%#LocRM.GetString("Delete") %>'>
							</asp:imagebutton>
						</itemtemplate>
					</asp:TemplateColumn>
				</Columns>
			</asp:datagrid>
		</td>
	</tr>
</TABLE>
